MX-21 AHS repo- update problems

There are currently some libav packages that got into the main AHS repo that conflict with existing installs of MX-21. If you are using the AHS repos (ahs, kde) on MX-21, please do not update with AHS enabled. Sorry for the hassle. It will be resolved as quickly as possible.

Update: users can revert to the previous libav packages and reinstall pulseaudio via this procedure:

to fix, the easiest method is to use “aptitude” on the command line.

Code: Select all

sudo aptitude install pulseaudio

which will give you some options.

the first option will be to not install pulseaudio. Say “no” to that one.

the second option should be to downgrade the libav packages. Say yes to that one.

after pulseaudio is reinstalled, you can reinstall firefox as well. Plasma users may need to reinstall plasma-pa to get the volume control icon back and digikam is another that is reported removed.

Our apologies for the hassle.

Our main repo server has been fixed to remove the problem packages. the mirrors will update over the next 6 to 24 hours, depending on the mirror. user’s can switch to the “Salt Lake City” repo to utilize the aptitude fix.

16 thoughts on “MX-21 AHS repo- update problems”

  1. New installation MX-21 pulseaudio is installed, after the update, pulseaudio* will be uninstalled.

    E: Problems can not be corrected, you have retained defective packages.

    Reply
  2. 021-10-25 18:07:47.134 DBG default: “Some packages could not be installed. This may mean that\nyou have requested an impossible situation or, if you are using the\nUnstable distribution, that some required packages have not yet been built or have not yet left Incoming.\nThe following information may help you resolve the situation:\n\nThe following packages have unfulfilled dependencies:”
    2021-10-25 18:07:47.187 DBG default: “libavresample4 : Depends on: libavutil56 (= 7:4.3.2-0+deb11u2) but 7:4.4-1~mx21ahs+1 should be installed.”
    2021-10-25 18:07:47.208 WRN default: “E: Unable to correct problems, you have withheld broken packages.”

    Translated with http://www.DeepL.com/Translator (free version)

    Reply
  3. libavresample4:

    No installable version of the libavresample4 package was found, although there is an entry in the database.
    This usually indicates that the package was mentioned as a dependency but never uploaded, that it is outdated, or that the corresponding package source is missing under “Settings → Package Sources”.

    Reply
  4. Hi, why after several minutes than starts MX-21, if the netbook is not used, the screen becomes black, if it is not set hibernation or suspension? Another issue, why the time delay charge from pendrive image is very large in comparison with MX-20 or MX-19?

    Reply
  5. Hi,
    Panel watch why add second symbol %?
    My section: %d %B %A %X but no entering %Second ??
    I dont know this faster second symbol. What is it? %?

    Reply
  6. [email protected]:~
    $ sudo apt-get update
    [sudo] password for abdullah:
    Hit:1 http://deb.debian.org/debian bullseye-updates InRelease
    Hit:2 http://deb.debian.org/debian bullseye InRelease
    Get:3 http://security.debian.org/debian-security bullseye-security InRelease [44.1 kB]
    Err:4 http://mx-pkg.mirror.net.in/MX-Linux/mx/repo bullseye InRelease
    Could not connect to mx-pkg.mirror.net.in:80 (103.240.105.163). – connect (113: No route to host)
    Fetched 44.1 kB in 1s (30.0 kB/s)
    Reading package lists… Done
    W: Failed to fetch http://mx-pkg.mirror.net.in/MX-Linux/mx/repo/dists/bullseye/InRelease Could not connect to mx-pkg.mirror.net.in:80 (103.240.105.163). – connect (113: No route to host)
    W: Some index files failed to download. They have been ignored, or old ones used instead.
    [email protected]:~
    $ – i Installed MX21 just yesterday, DAMM IMPRESSED with it, AND Also simple-scan cannot find my usb scanner (Epson L220) even though it works as a printer.
    if someone can help me with the above updating error (maybe some alternate sites)
    with the simple-scan scanner issue, will be highly obliged.
    PS – am not a pro, just began using linux. Planning to hang around with MX21 as i really liked it on first install. (something like love at first sight).

    Reply
  7. Kind of weird. I thought this problem was resolved last year. I just installed a fresh copy of MX21 on a different PC and I bumped into the same problem after updating. I had to downgrade libav packages again. This means the wrong packages are still somewhere in the server.

    Reply

Leave a Reply to Leodudu Cancel reply

MX Linux